Package com.pixelmed.web

## Class HttpServer.Worker

- java.lang.Object
- - com.pixelmed.web.HttpServer.Worker

- All Implemented Interfaces:
    `java.lang.Runnable`
  Direct Known Subclasses:
    `RequestTypeServer.RequestTypeWorker`, `WadoServer.WADOWorker`
  Enclosing class:
    HttpServer

      protected abstract class HttpServer.Worker
      extends java.lang.Object
      implements java.lang.Runnable

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Worker()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract void` | `generateResponseToGetRequest​(java.lang.String requestURI, java.io.OutputStream out)` |
    `void` | `run()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Worker

          protected Worker()

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### generateResponseToGetRequest

          protected abstract void generateResponseToGetRequest​(java.lang.String requestURI,
                                                               java.io.OutputStream out)
                                                        throws java.io.IOException

      Throws:
        `java.io.IOException`